com.fasterxml.jackson.databind.util

## Class CompactStringObjectMap

- java.lang.Object
- - com.fasterxml.jackson.databind.util.CompactStringObjectMap

- All Implemented Interfaces:
    java.io.Serializable

      public final class CompactStringObjectMap
      extends java.lang.Object
      implements java.io.Serializable

  Specialized lookup class that implements functionality similar to `Map`, but for special case of key always being `String` and using more compact (and memory-access friendly) hashing scheme. Assumption is also that keys are typically intern()ed.

  Generics are not used to avoid bridge methods and since these maps are not exposed as part of external API.

  Since:
    2.6
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> CompactStringObjectMap` | `construct(java.util.Map<java.lang.String,T> all)`
    `java.lang.Object` | `find(java.lang.String key)`
    `java.util.List<java.lang.String>` | `keys()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### construct

          public static <T> CompactStringObjectMap construct(java.util.Map<java.lang.String,T> all)

    - #### find

          public java.lang.Object find(java.lang.String key)

    - #### keys

          public java.util.List<java.lang.String> keys()